### Function

# Cogl xlib_renderer_set_foreign_display

#### Declaration [src]

    void
    cogl_xlib_renderer_set_foreign_display (
      CoglRenderer* renderer,
      Display* display
    )

#### Description [src]

Sets a foreign Xlib display that Cogl will use for and Xlib based winsys backend.

Note that calling this function will automatically disable Cogl’s event retrieval. Cogl still needs to see all of the X events so the application should also use `cogl_xlib_renderer_handle_event()` if it uses this function.

This function is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

`display`

  Type: `Display`

  No description available.

  The data is owned by the caller of the function.